package cn.com.ty.lift.manager.library.dao.entity.model;

import lombok.Data;

/**
 * @author bieao
 * @date 2019/11/27
 * @description 电梯档案列表请求体
 */
@Data
public class LiftRequest {

    /**
     * 区域
     */
    private String region;

    /**
     * 项目名
     */
    private String projectName;

    /**
     * 电梯号
     */
    private Long liftCode;

    /**
     * 电梯品牌
     */
    private String liftBrand;

    /**
     * 电梯类型
     */
    private String liftType;

    /**
     * 维保工
     */
    private String maintenanceWorker;

    /**
     * 当前第几页
     */
    private int pageNum;

    /**
     * 每页条数
     */
    private int pageSize;
}
