package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.entity.UserRole;
import cn.com.ty.lift.system.mapper.UserRoleMapper;
import cn.com.ty.lift.system.user.service.IUserRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 用户角色关联接口实现类
 */
@Service
public class UserRoleService implements IUserRoleService {

    @Autowired
    private UserRoleMapper userRoleMapper;

    @Override
    public List<UserRole> getByRoleId(Long roleId) {
        return userRoleMapper.getByRoleId(roleId);
    }
}
