package cn.com.ty.lift.system.utils;

import org.apache.commons.lang3.StringUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-02
 * @description 项目工具类
 */
public class ProjectUtils {

    /**
     * @description 通过id字符串，获取long型id列表
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    public static List<Long> getLongIdFromIds(String ids){
        List<Long> longIdList = new ArrayList<>();
        if(StringUtils.isNotBlank(ids)){
            String [] idArray = ids.split(",");
            for(String id:idArray){
                longIdList.add(Long.parseLong(id));
            }
        }
        return longIdList;
    }
}
