package cn.com.ty.lift.enterprise.oa.entity;

import java.util.Date;

import java.util.Date;

import lombok.Data;
import org.apache.ibatis.type.Alias;

/**
 * 实体类 - 表：lift_certificate 操作证
 * @since 2019-11-25 17:35:11
 */
@Data
@Alias("LiftCertificate")
public class LiftCertificate {
	//主键
	private Long id;

	// 操作证用户id
	private Long ownerId;

	// 操作证号
	private String code;

	//发证单位
	private String issuanceAgency;

	//有效期
	private Date expirationDate;

	//证件类型
	private String certificateType;

	//0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
	private Byte status;

	//第一张图片路径(正面)
	private String firstImgUrl;

	//第二张图片路径(反面)
	private String secondImgUrl;

}