package cn.com.ty.lift.system.entity;

import cn.com.ty.lift.system.entity.model.RoleRequest;
import cn.com.ty.lift.system.utils.PojoUtils;
import lombok.Data;

import java.util.Date;

/**
 * 实体类 - 表：role
 * @since 2019-12-01 16:52:41
 */
@Data
public class Role {
	private Long id;

	private String name;

	private String code;

	private String description;

	private Long companyId;

	private Date createTime;

	private Date updateTime;

	private Date deleteTime;

	private Long createUserId;

	private Long updateUserId;

	private Long deleteUserId;

	private Integer deleteFlag;

	public Role(){}

	public Role(RoleRequest roleRequest){
		PojoUtils.pojoCopy(this, roleRequest);
	}
}