package cn.com.ty.lift.system.entity;

import cn.com.ty.lift.system.entity.model.UserRequest;
import cn.com.ty.lift.system.utils.PojoUtils;
import lombok.Data;

import java.util.Date;

/**
 * 实体类 - 表：user_account
 * @since 2019-11-29 17:15:02
 */
@Data
public class UserAccount {
	private Long userId;

	private int type;

	private String account;

	private String password;

	private String salt;

	private String mobile;

	private String wechatOpenId;

	private String email;

	private String otherAccount;

	private String otherAccount2;

	private int status;

	private String remarks;

	private Date createDate;

	public UserAccount(){}

	public UserAccount(UserRequest userRequest){
		PojoUtils.pojoCopy(this, userRequest);
	}

}