package cn.com.ty.lift.system.utils;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.commons.beanutils.ConvertUtils;
import org.apache.commons.beanutils.converters.DateConverter;

import java.lang.reflect.InvocationTargetException;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 实体对象工具类
 */
public class PojoUtils {

    public static void pojoCopy(Object dest, Object orig){
        try {
            //info:进行beans拷贝，解决时间出现了空值而无法进行复制
            ConvertUtils.register(new DateConverter(null), Date.class);
            ConvertUtils.register(new DateConverter(null), BigDecimal.class);
            BeanUtils.copyProperties(dest, orig);
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        }
    }
}
